# Uses of Class
org.eclipse.core.runtime.preferences.PreferenceMetadata

Packages that use PreferenceMetadata
Package
Description
org.eclipse.core.runtime.preferences
Provides core support for Eclipse preferences.

## Uses of PreferenceMetadata in org.eclipse.core.runtime.preferences

Methods in org.eclipse.core.runtime.preferences with parameters of type PreferenceMetadata
Modifier and Type
Method
Description
`<V> V`
IPreferenceMetadataStore.`load(PreferenceMetadata<V> preference)`
Loads the value of specified preference from an enclosed storage.
`<V> V`
OsgiPreferenceMetadataStore.`load(PreferenceMetadata<V> preference)`
`<V> void`
IPreferenceMetadataStore.`save(V value, PreferenceMetadata<V> preference)`
Saves the value of specified preference to the enclosed storage.
`<V> void`
OsgiPreferenceMetadataStore.`save(V value, PreferenceMetadata<V> preference)`